# Reorder items within a group (by external ID)

Sets the display order of items within a group identified by its external ID. Pass an array of items with their new order values.

Endpoint: PUT /v2/project/{project_id}/admin/group/{external_id}/order/item
Version: 2.0.0
Security: basicAuth

## Path parameters:

  - `project_id` (integer, required)
    Project ID. You can find this parameter in your Publisher Account next to the project name and in the browser address bar when working with a project. The URL has the following format: https://publisher.xsolla.com//projects/.
    Example: 44056

  - `external_id` (string, required)
    External item group ID specified during creation.
    Example: "weapons"

## Request fields (application/json):

  - `item_id` (integer, required)
    Internal item ID assigned by Xsolla. Use the item ID returned in the [item catalog API call](/api/catalog/common-catalog) responses.
    Example: 101

  - `order` (integer, required)
    New display order value.
    Example: 1

## Response 401 fields (application/json):

  - `statusCode` (integer)
    HTTP response status.

  - `errorCode` (integer)
    Error code.

  - `errorMessage` (string)
    Short error description.

  - `transactionId` (string)
    Request ID. The ID used to track and associate log entries related to this specific request or operation. This ID can be helpful for troubleshooting, debugging, and auditing purposes.

## Response 404 fields (application/json):

  - `statusCode` (integer)
    HTTP response status.

  - `errorCode` (integer)
    Error code.

  - `errorMessage` (string)
    Short error description.

  - `transactionId` (string)
    Request ID. The ID used to track and associate log entries related to this specific request or operation. This ID can be helpful for troubleshooting, debugging, and auditing purposes.

  - `errorMessageExtended` (object,null)
    IDs used in the failed lookup.

  - `errorMessageExtended.project_id` (integer)
    Project ID used in the lookup request.

  - `errorMessageExtended.external_id_list` (array)
    List of group external_id used in the lookup request.

## Response 422 fields (application/json):

  - `statusCode` (integer, required)
    HTTP response status.
    Example: 422

  - `errorCode` (integer, required)
    Error code.
    Example: 1102

  - `errorMessage` (string, required)
    Short error description.
    Example: "[0401-1102]: Unprocessable Entity. The property `property_name` is required"

  - `transactionId` (string, required)
    Request ID. The ID used to track and associate log entries related to this specific request or operation. This ID can be helpful for troubleshooting, debugging, and auditing purposes.
    Example: "x-x-x-x-transactionId-mock-x-x-x"

  - `errorMessageExtended` (array)
    Validation error details. Contains an array of property-level errors describing which fields failed validation and why.

  - `errorMessageExtended.property` (string)
    Name of the field that failed validation.
    Example: "external_id"

  - `errorMessageExtended.message` (string)
    Validation error message for the field.
    Example: "The property external_id is required"


## Response 204 fields
